package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SiteResultVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class SiteResultVo   {
  @JsonProperty("successSiteList")
  @Valid
  private List<String> successSiteList = null;

  public SiteResultVo successSiteList(List<String> successSiteList) {
    this.successSiteList = successSiteList;
    return this;
  }

  public SiteResultVo addSuccessSiteListItem(String successSiteListItem) {
    if (this.successSiteList == null) {
      this.successSiteList = new ArrayList<>();
    }
    this.successSiteList.add(successSiteListItem);
    return this;
  }

  /**
   * Site ID list which executing site maintenance successfully.
   * @return successSiteList
  */
  @ApiModelProperty(value = "Site ID list which executing site maintenance successfully.")


  public List<String> getSuccessSiteList() {
    return successSiteList;
  }

  public void setSuccessSiteList(List<String> successSiteList) {
    this.successSiteList = successSiteList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteResultVo siteResultVo = (SiteResultVo) o;
    return Objects.equals(this.successSiteList, siteResultVo.successSiteList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(successSiteList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteResultVo {\n");
    
    sb.append("    successSiteList: ").append(toIndentedString(successSiteList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

